%define upstream_name Cache_Lite
%define xmldir	%{_var}/lib/pear
%define peardir	%(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.8.3
Release:	%mkrel 3
Summary:	Fast and Safe little cache system
License:	LGPL
Group:		Development/PHP
URL:		https://pear.php.net/package/Cache_Lite
Source0:	https://pear.php.net/get/Cache_Lite-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.4
Requires(postun):	php-pear >= 1.5.4
BuildArch:	noarch

%description
This package is a little cache system optimized for file containers. It is
fast and safe (because it uses file locking and/or anti-corruption tests).

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache_Lite.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Cache_Lite.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Cache_Lite
fi

%files
%doc docs/Cache_Lite/*
%{peardir}/*
%{xmldir}/Cache_Lite.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.8.3-3.mga9
+ Revision: 1819593
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.8.3-2.mga8
+ Revision: 1538423
- Mageia 8 Mass Rebuild

* Wed Nov 20 2019 mokraemer <mokraemer> 1.8.3-1.mga8
+ Revision: 1461883
- new version 1.8.3

* Tue Jan 15 2019 mokraemer <mokraemer> 1.8.2-1.mga7
+ Revision: 1357124
- new version 1.8.2

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1287666
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 1.8.0-1.mga7
+ Revision: 1183274
- new versioN

* Mon Feb 08 2016 umeabot <umeabot> 1.7.16-4.mga6
+ Revision: 943922
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.16-3.mga5
+ Revision: 749104
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.16-2.mga5
+ Revision: 687182
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 spuhler <spuhler> 1.7.16-1.mga5
+ Revision: 643946
- upgrade to ver. 1.7.16

* Sat Oct 19 2013 umeabot <umeabot> 1.7.15-2.mga4
+ Revision: 527977
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 1.7.15-1.mga4
+ Revision: 443113
- upgrade to version 1.7.15
- removed Hashed_Cache_Lite.php.bz2
 * this hasn't been included for some time.
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.7.12-4.mga3
+ Revision: 375894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 spuhler <spuhler> 1.7.12-3.mga2
+ Revision: 175051
- upgrade to 1.7.12

* Sun Jan 16 2011 spuhler <spuhler> 1.7.8-3.mga1
+ Revision: 20367
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Cache_Lite

